Uploaded image for project: 'ServiceMix 4'
  1. ServiceMix 4
  2. SMX4-415

need add josql bundle to activemq feature

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 4.3.0
    • Component/s: None
    • Labels:
      None

      Description

      as activemq console module introduce this dependency very recently
      http://svn.apache.org/viewvc?rev=829066&view=rev
      otherwise we end up with bundle resolve problem
      The bundle could not be resolved. Reason: Missing Constraint: Import-Package: org.josql; version="0.0.0"
      when start activemq console bundle

      1. SMX4-415.patch
        0.8 kB
        Freeman Fang

        Activity

        Show
        ffang Freeman Fang added a comment - commit fix http://svn.apache.org/viewvc?rev=941991&view=rev
        Hide
        ffang Freeman Fang added a comment -

        realize this problem only exist in activemq snapshot version after 5.3 release, so will defer to commit this patch until we use next activemq release version which has new josql dependency

        Show
        ffang Freeman Fang added a comment - realize this problem only exist in activemq snapshot version after 5.3 release, so will defer to commit this patch until we use next activemq release version which has new josql dependency

          People

          • Assignee:
            ffang Freeman Fang
            Reporter:
            ffang Freeman Fang
          • Votes:
            0 Vote for this issue
            Watchers:
            0 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved:

              Development